
hirom
header

org $C2499E
; this is the address in v1.0 and v1.1 of the rom
padbyte $EA : pad $C249C4
; we need to blank out the original, to prevent the bug from surfacing, but that's only half the process
; in reality, it needs to be moved away from here, so the item can be deducted properly

org $C20016
JSR colliseum

org $C266CB
colliseum:
JSR $23ED
PHP
SEP #$20
LDA $3A97   ; load some variable
BEQ no_more ; branch if not fighting in the Colliseum
LDA $0205   ; item bet
CMP #$FF    ; is it no item?
BEQ no_more ; branch if so
REP #$10
LDX #$04FB
next_item:
CMP $2686,X  ; is item bet here?
BNE next_item_col
DEC $2689,X  ; if so, decrement as Colliseum fee, but take it from the battle buffer's variable
BEQ zeroed   ; if none left, set this slot as empty
BPL next_item_col
zeroed:
LDA #$FF     ; no item
STA $2686,X  ; store in current slot
STZ $2689,X  ; and no quantity of it
next_item_col:
rep 5 : DEX
BPL next_item
no_more:
PLP
RTS
